<div class="background"></div>

<div class="card">
  <div class="content">
    <div>
      <div>
        <img src="assets/img/Yum-logo.png" width="200" height="84">
      </div>
      <div>
        <h2>You asked to change your password.</h2>
      </div>
    </div>

    <div>
      <p>
        Please enter a new password to continue.
      </p>

      <form [formGroup]="form">

        <md-input-container>
          <input mdInput autocomplete="off" type="password" placeholder="New Password" required validateEqual="confirmPassword" reverse="true"
            required formControlName="password" (keyup)="confirmPassword()">
          <md-error *ngIf="formErrors.password" class="error">
            {{ formErrors.password }}
          </md-error>
        </md-input-container>


        <md-input-container>
          <input mdInput type="password" placeholder="Confirm Password" required validateEqual="password" reverse="false" required
            formControlName="repeat" (keyup)="confirmPassword()">
          <!--<md-error *ngIf="formErrors.repeat" class="error">
              {{ formErrors.repeat }}
            </md-error>-->
          <md-hint *ngIf="formErrors.repeat === '-1'">Passwords do not match</md-hint>
        </md-input-container>

          <button type="button" (click)="changePwd()" md-raised-button class="red-button reset" [disabled]="!form.valid || loading">
            <span *ngIf="!loading">Change Password</span>
            <app-spinner [small]="true" *ngIf="loading"></app-spinner>
          </button>

      </form>

    </div>

  </div>

</div>
